=== debian/changelog ===
task-python (1.2) frozen unstable; urgency=medium

  * Release Manager: this closes an rcb caused indirectly
    by the removal of wxwin.
  * removed dependencies on python-wxwin and ilu-base (which have 
    been removed from potato).  Closes Bug#64898.

 -- David Coe <davidc@debian.org>  Wed, 31 May 2000 00:26:42 -0400

task-python (1.1) frozen unstable; urgency=low

  * removed libapache-mod-python (which has been removed from
    the distribution). Closes Bug#56792. 

 -- David Coe <david.coe@someotherplace.org>  Tue,  1 Feb 2000 19:19:06 -0500

task-python (1.0) unstable; urgency=low
     
  * task-python-* metapackages
  
 -- David Coe <david.coe@someotherplace.org>  Thu, 13 Jan 2000 15:56:27 -0500
