=== debian/control ===
Source: task-python
Maintainer: David L. Coe <david.coe@someotherplace.org>
Section: devel
Priority: optional
Standards-Version: 3.1.1
Build-Depends: python-base, dpkg-python, sgrep, grep-dctrl
X-Comment: This source package is (currently) a very ugly hack -- please 
 contact the maintainer if you want to do anything with it, to it, or 
 based upon it.

Package: task-python
Architecture: all
Depends: python-base, python-doc
Description: Python script development environment
 Packages that allow you to develop scripts and and simple applications 
 in Python.  
 .
 Python is an interpreted, interactive, object-oriented programming
 language.  It is often compared to Tcl, Perl, Scheme or Java.
 .
 Python combines remarkable power with very clear syntax. It has 
 modules, classes, exceptions, very high level dynamic data types, and 
 dynamic typing.  There are interfaces to many system calls and 
 libraries, as well as to various windowing systems (X11, Motif, Tk, 
 Mac, MFC).  New built-in modules are easily written in C or C++.
 Python is also usable as an extension language for applications that 
 need a programmable interface.
 .
 You may also want to install one of the following editing environments,
 each of which has support for Python syntax highlighting:
     python-elisp (with any of the emacsen)
     vim-python
     nedit
 .
 Overview of the task-python packages
 .
   Install:            if you want to:
   -------             ---------------
   task-python         write scripts and uncomplicated Python applications
   task-python-web     write CGI scripts and web applications in Python
   task-python-bundle  have the entire upstream (www.python.org) distribution
   task-python-dev     write complex Python applications, have available
                         most of the Debian-packaged Python extensions, and/or
                         write Python extensions in other programming languages
 .
 (Note that you needn't install any of these to be able to use
 other packages that are written in Python; the required pieces
 will be automatically installed along with the packages that need
 them.
 .
 You may later remove these task-* packages without losing 
 anything else.)

Package: task-python-web
Architecture: all
Depends: htmlgen, idle, python-bobo, python-bobodtml, python-gnuplot, python-graphics, python-imaging, python-imaging-doc, python-pcgi, python-xml, task-python, zope
Description: Python web application development environment
 This package provides Python-based tools for developing interactive
 or ``smart'' web sites. 
 .
 Please see task-python for additional information.

Package: task-python-dev
Architecture: all
Depends: ddd, dpkg-python, gadfly, gimp-python, htmlgen, idle, pydb, pyrite, python-bobo, python-bobopos, python-dev, python-examples, python-extclass, python-gdbm, python-gdk-imlib, python-gendoc, python-glade, python-gnome, python-gtk, python-history, python-imaging-sane, python-imaging-tk, python-kjbuckets, python-ldap, python-mpz, python-mxdatetime, python-mxstack, python-mxtexttools, python-mxtools, python-netcdf, python-newt, python-numeric, python-numeric-tutorial, python-pam, python-pdb, python-pmw, python-pygresql, python-rng, python-tk, python-wpy, python-xml, python-zlib, pythondoc, saml, sulfur, swig, task-python
Description: Full Python development environment
 This package provides almost all of the Debian-packaged Python tools 
 and extensions, for developing scripts and simple or complex applications 
 in Python.
 .
 Please see task-python for additional information.

Package: task-python-bundle
Architecture: all
Depends: idle, python-base, python-dev, python-doc, python-elisp, python-examples, python-gdbm, python-mpz, python-tk, python-zlib
Description: Full distribution of Python
 This package installs the complete Python distribution as available from
 www.python.org, featuring e.g.
 . 
  - Tkinter, a platform-indepedent GUI toolkit, based on Tk
  - IDLE, a Python integrated development environment, written in Tkinter
  - the environment for building Python extensions in C
 .
 If you don't need all of these, don't use this package.
