=== debian/rules ===
#!/usr/bin/make -f
#-*- Makefile -*-
# $Id: rules,v 1.8 2000/01/13 22:16:13 david Exp $

############################################
#debhelper rules
############################################
# Uncomment this to turn on verbose mode. 
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

# This has to be exported to make some magic below work.
export DH_OPTIONS

debian/control: control.top tasks
	[ -d debian ]
#	we do this first because debhelper needs the real debian/control file
	$(MAKE) debian/control

build: build-stamp
build-stamp: debian/control
	dh_testdir tasks control.top

#	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean: debian/control
	dh_testdir tasks control.top
	dh_testroot
	rm -f build-stamp install-stamp

#	# Add here commands to clean up after the build process.
	$(MAKE) clean


	dh_clean

install: DH_OPTIONS=
install: debian/control
	dh_testdir tasks control.top
	dh_testroot
###	dh_clean -k
###	dh_installdirs

#	# Add here commands to install the package into debian/tmp.
#	#$(MAKE) prefix=`pwd`/debian/tmp/usr install

###	dh_movefiles
	touch install-stamp

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common: debian/control
#	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testversion 1.1.17
	dh_testdir tasks control.top
	dh_testroot
	dh_installdocs -A debian/README
##	dh_installexamples
##	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
##	dh_installcron
##	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
##	dh_link
	dh_compress
	dh_fixperms
##	# You may want to make some executables suid here.
##	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
##	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
# (Uncomment the next two lines and comment out the third if you have
# such packages)
binary-indep: DH_OPTIONS=-i
binary-indep: build install binary-common
#binary-indep:

# Build architecture dependant packages using the common target.
binary-arch: DH_OPTIONS=-a
binary-arch: build install binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	$(MAKE) -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
